
import Dialog from '@vant/weapp/dialog/dialog';
const util = require('../../../../utils/util.js');
const api = require('../../../../config/api.js');
const app = getApp();
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		rId:'',
		checked:false,
		userName:'',
		avatarUrl:''

	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {

		if(options.rId){
			this.setData({
				rId:options.rId
			});
			app.globalData.rId=options.rId;
     this.getReferrerRidInfo();
		}

	},
	getReferrerRidInfo(){
		util.request(api.ReferrerRidInfo, {
			rId: this.data.rId,
		}, "GET")
		.then((res)=> {
			if (res.errno == 0) {
           this.setData({
						 userName:res.data.refApply.applyName,
						 avatarUrl:res.data.refUser.avatar
					 })
			  app.globalData.recommend={
					bCode:res.data.refApply.bCode,
					userName:res.data.refApply.applyName,
					avatarUrl:res.data.refUser.avatar
				};

			} else {
				util.showErrorToast(res.errmsg);
			}
		});
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {

	},
	onChange(e) {
		console.log(e);
    this.setData({
      checked: e.detail,
    });
	},
	confirmJoin(){
		if(!this.data.checked){
			Dialog.alert({
				title: '提示',
				message: '请阅读《用户条款》并勾选',
			}).then(() => {
				// on close
			});
		}else{
			wx.navigateTo({
				url: '../confirm/confirm'
			});
		}
	},
	userProtocol(){
		wx.navigateTo({
			url: '../protocol/protocol'
		});
	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {

	}
})